var hdb    = require('hdb');
let userPrompts = require("../../userPrompts");

var client = hdb.createClient({
  host     : userPrompts.hostname,
  port     : userPrompts.port,
  user     : userPrompts.user,
  password : userPrompts.password
});
client.on('error', function (err) {
  console.error('Network connection error', err);
});

module.exports = function(SAPModel)
{

//  The SELECT SQL Statment format is like the following one:
// select NAME, DATA from TEST_LOBS
SAPModel.selectRequestToDataBase = function(request){
  client.connect(function (err) {
    if (err) {
    	return console.error('Connect error', err);
    }
    client.exec(request, function (err, rows) {
      client.end();
      if (err) {
        return console.error('Execute error:', err);
      }
      console.log('Results:', rows);
      return rows;
    });
  });
}

//  The INSERT SQL Statment format is like the following one:
// insert into TEST_BATCH values (?, ?, ?) with parameters in a list beside 
SAPModel.InsertRequestToDataBase = function(request, arguments)
{
  client.connect(function (err) {
    if (err) {
      return console.error('Connect error', err);
    }
  client.prepare(request, function(err, statement){
  if (err) {
    return console.error('Prepare error:', err);
  }
  statement.exec(arguments, function(err, affectedRows) {
    if (err) {
      return console.error('Exec error:', err);
    }
    console.log('Array of affected rows:', affectedRows);
    return affectedRows;
    });
  });
});
}

SAPModel.remoteMethod('selectRequestToDataBase', 
    {
       isStatic: true,
      produces: ['application/json'],
      http: { verb: 'get', path: '/selectRequest' },
    accepts: 
      [ 
          { 
            arg: 'request',
            type: 'string',
            description: 'select Request',
            required: true,
            'http': {source: 'query'}
          }
      ],
      returns: {arg: 'result', type: 'string'},
      description: undefined 
    });

SAPModel.remoteMethod('InsertRequestToDataBase', 
    {
       isStatic: true,
      produces: ['application/json'],
      http: { verb: 'get', path: '/insertRequest' },
    accepts: 
      [ 
          { 
            arg: 'request',
            type: 'string',
            description: 'select Request',
            required: true,
            'http': {source: 'query'}
          },
          { 
            arg: 'tabs',
            type: 'string',
            description: 'Tab parameter',
            required: true,
            'http': {source: 'query'}
          } 
      ],
      returns: {arg: 'result', type: 'string'},
      description: undefined 
    });

}